/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casebuildinfo.entity;

import org.hibernate.validator.constraints.Email;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 案例-建设单位Entity
 * @author fgy
 * @version 2018-01-24
 */
public class CaseBuildInfo extends DataEntity<CaseBuildInfo> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 名称
	private String linkedman;		// 联系人名称
	private String mobile;		// 联系电话
	private String email;		// 邮箱
	private String caseId;		// 案例id
	
	public CaseBuildInfo() {
		super();
	}

	public CaseBuildInfo(String id){
		super(id);
	}

	@ExcelField(title="名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="联系人名称", align=2, sort=8)
	public String getLinkedman() {
		return linkedman;
	}

	public void setLinkedman(String linkedman) {
		this.linkedman = linkedman;
	}
	
	@ExcelField(title="联系电话", align=2, sort=9)
	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	
	@Email(message="邮箱必须为合法邮箱")
	@ExcelField(title="邮箱", align=2, sort=10)
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}
	
	@ExcelField(title="案例id", align=2, sort=11)
	public String getCaseId() {
		return caseId;
	}

	public void setCaseId(String caseId) {
		this.caseId = caseId;
	}
	
}